NX Open C++ Reference Guide
|
<br> To create a new instance of this class, use @link CAE::CaePart::NewBeamSectionOrientationOptions CAE::CaePart::NewBeamSectionOrientationOptions @endlink <br>
Created in NX7.5.0.
More...
Public Types | |
enum | Method { MethodByVector, MethodByNode } |
Represents the orientation definition method. More... | |
Public Member Functions | |
NXOpen::CAE::BeamSection::DirectionOption | DirectionType () |
Returns the direction type Created in NX7.5.0. | |
NXOpen::CAE::BeamSectionOrientationOptions::Method | MethodType () |
Returns the orientation definition method Created in NX7.5.0. | |
NXOpen::CAE::FENode * | Node () |
Returns the node used to orient beam. | |
NXOpen::CAE::FEElement * | OrientedElement () |
Returns the element to be oriented. | |
void | SetDirectionType (NXOpen::CAE::BeamSection::DirectionOption directionType) |
Sets the direction type Created in NX7.5.0. | |
void | SetMethodType (NXOpen::CAE::BeamSectionOrientationOptions::Method methodType) |
Sets the orientation definition method Created in NX7.5.0. | |
void | SetNode (NXOpen::CAE::FENode *node) |
Sets the node used to orient beam. | |
void | SetOrientedElement (NXOpen::CAE::FEElement *orientedElement) |
Sets the element to be oriented. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the orientation vector. | |
NXOpen::Direction * | Vector () |
Returns the orientation vector. | |
virtual | ~BeamSectionOrientationOptions () |
Destroys the object Created in NX7.5.0. | |
![]() | |
void * | GetHandle () |
Handle of the internal object represented by this object. | |
<br> To create a new instance of this class, use @link CAE::CaePart::NewBeamSectionOrientationOptions CAE::CaePart::NewBeamSectionOrientationOptions @endlink <br>
Created in NX7.5.0.
|
virtual |
Destroys the object
Created in NX7.5.0.
License requirements : None
NXOpen::CAE::BeamSection::DirectionOption NXOpen::CAE::BeamSectionOrientationOptions::DirectionType | ( | ) |
Returns the direction type
Created in NX7.5.0.
License requirements : None
NXOpen::CAE::BeamSectionOrientationOptions::Method NXOpen::CAE::BeamSectionOrientationOptions::MethodType | ( | ) |
Returns the orientation definition method
Created in NX7.5.0.
License requirements : None
NXOpen::CAE::FENode* NXOpen::CAE::BeamSectionOrientationOptions::Node | ( | ) |
Returns the node used to orient beam.
Only available when the orientation method is CAE::BeamSectionOrientationOptions::MethodByNode
Created in NX7.5.0.
License requirements : None
NXOpen::CAE::FEElement* NXOpen::CAE::BeamSectionOrientationOptions::OrientedElement | ( | ) |
Returns the element to be oriented.
Only available when the orientation method is CAE::BeamSectionOrientationOptions::MethodByVector
Created in NX7.5.0.
License requirements : None
void NXOpen::CAE::BeamSectionOrientationOptions::SetDirectionType | ( | NXOpen::CAE::BeamSection::DirectionOption | directionType | ) |
Sets the direction type
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
directionType | directiontype |
void NXOpen::CAE::BeamSectionOrientationOptions::SetMethodType | ( | NXOpen::CAE::BeamSectionOrientationOptions::Method | methodType | ) |
Sets the orientation definition method
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
methodType | methodtype |
void NXOpen::CAE::BeamSectionOrientationOptions::SetNode | ( | NXOpen::CAE::FENode * | node | ) |
Sets the node used to orient beam.
Only available when the orientation method is CAE::BeamSectionOrientationOptions::MethodByNode
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
node | node |
void NXOpen::CAE::BeamSectionOrientationOptions::SetOrientedElement | ( | NXOpen::CAE::FEElement * | orientedElement | ) |
Sets the element to be oriented.
Only available when the orientation method is CAE::BeamSectionOrientationOptions::MethodByVector
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
orientedElement | orientedelement |
void NXOpen::CAE::BeamSectionOrientationOptions::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the orientation vector.
Only available when definition method is CAE::BeamSectionOrientationOptions::MethodByVector
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
vector | vector |
NXOpen::Direction* NXOpen::CAE::BeamSectionOrientationOptions::Vector | ( | ) |
Returns the orientation vector.
Only available when definition method is CAE::BeamSectionOrientationOptions::MethodByVector
Created in NX7.5.0.
License requirements : None